<!DOCTYPE html>
<html lang="en" data-bs-theme="dark">
<head>
    <meta charset="utf-8">
    <title>HUD | Login</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    
    <link href="assets/css/vendor.min.css" rel="stylesheet">
    <link href="assets/css/app.min.css" rel="stylesheet">
</head>
<body class="pace-top">
    <div id="app" class="app app-full-height app-without-header">
        <div class="login">
            <div class="login-content">
                <form action="admin_login_auth.php" method="POST">
                    <h1 class="text-center">Sign In</h1>
                    <div class="text-inverse text-opacity-50 text-center mb-4">
                        Please verify your identity.
                    </div>
                    <div class="mb-3">
                        <label class="form-label">Usernmae <span class="text-danger">*</span></label>
                        <input type="text" class="form-control form-control-lg bg-inverse bg-opacity-5" name="admin_username" placeholder="Enter Username">
                    </div>
                    <div class="mb-3">
                        <div class="d-flex">
                            <label class="form-label">Password <span class="text-danger">*</span></label>                            
                        </div>
                        <input type="password" class="form-control form-control-lg bg-inverse bg-opacity-5" name="admin_password" placeholder="Enter Password">
                    </div>                
                    <button type="submit" name="admin_login" class="btn btn-outline-theme btn-lg d-block w-100 fw-500 mb-3">Sign In</button>                    
                </form>
            </div>
        </div>
        <div class="app-theme-panel">
            <!-- Theme panel content -->
        </div>
        <a href="#" data-toggle="scroll-to-top" class="btn-scroll-top fade"><i class="fa fa-arrow-up"></i></a>
    </div>
    <script src="assets/js/vendor.min.js" type="text/javascript"></script>
    <script src="assets/js/app.min.js" type="text/javascript"></script>
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-Y3Q0VGQKY3" type="text/javascript"></script>
    <script type="text/javascript">
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());
        gtag('config', 'G-Y3Q0VGQKY3');
    </script>
    <script src="/cdn-cgi/scripts/7d0fa10a/cloudflare-static/rocket-loader.min.js" data-cf-settings="e657ee9a354ead8da749acb5-|49" defer=""></script>
</body>
</html>

